body {
	background-color: darkslategray;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	margin: 0;
	padding: 0;
}

h1 {
	font-size: 1.4em;
}

header {
	background-color: slateblue;
	display: flex;
	align-items: center;
	padding: 0.1em 1em;
}

header nav{
	margin: 0 0 0 auto;
	background-color: darkslateblue;
	border-radius: .5em;
}

header ul {
	list-style-type: none;
	display: flex;
	margin: 0;
	padding: .35em .65em;
	gap: 1em;
}

header a {
	font-size: 1.2em;
	font-weight: bold;
	text-decoration: none;
	color: inherit;
	opacity: 0.65;
	display: inline-block;
	transition: all 150ms ease-in-out;
	text-shadow: 0 0 10px #8c8c8c80;
}
header a:hover {
	opacity: 1;
	text-shadow:
		-1px -1px 1px #ffffff52,
		1px -1px 1px #ffffff52,
		-1px  1px 1px #ffffff52,
		1px  1px 1px #ffffff52;
	transform: scale(1.1);
	transform: translateY(-.1em);
}

main {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
}

footer {
	display: flex;
	padding: 0em 1em;
	background-color: slateblue;
}